<?php
defined('_JEXEC') or die('Restricted access');
class ModWebislifeVmLastCategoriesHelper{

    public function getCategories($catCount) {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select(array('rucat.category_name', 'cat.virtuemart_category_id'))
            ->from('#__virtuemart_product_categories AS pcat')
            ->join('INNER', '#__virtuemart_categories AS cat ON (cat.virtuemart_category_id = pcat.virtuemart_category_id)')
            ->join('INNER', '#__virtuemart_categories_ru_ru AS rucat ON (rucat.virtuemart_category_id = cat.virtuemart_category_id)')
            ->join('INNER', '#__virtuemart_products AS prod ON (prod.virtuemart_product_id = pcat.virtuemart_product_id)')
            ->group('cat.virtuemart_category_id')
            ->having('count(prod.virtuemart_product_id)>5')
            ->order('cat.created_on DESC');
        $db->setQuery($query,0,$catCount);
        $cats = $db->loadObjectlist();
        return $cats;
    }
    
    public function getProdsByCat($prodCount, $catId){
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query
            ->select(array('pr.virtuemart_product_id', 'pr.product_name', 'vmed.file_url', 'pri.product_price'))
            ->from('#__virtuemart_product_categories AS cat')
            ->join('INNER', '#__virtuemart_products_ru_ru AS pr ON (pr.virtuemart_product_id = cat.virtuemart_product_id)')
            ->join('INNER', '#__virtuemart_product_medias AS med ON (med.virtuemart_product_id = cat.virtuemart_product_id)')
            ->join('INNER', '#__virtuemart_medias AS vmed ON (vmed.virtuemart_media_id = med.virtuemart_media_id)')
            ->join('INNER', '#__virtuemart_product_prices AS pri ON (pri.virtuemart_product_id = cat.virtuemart_product_id)')
            ->where('cat.virtuemart_category_id = '.$catId.'');
        $db->setQuery($query,0,$prodCount);
        $products = $db->loadObjectList();
        return $products;
    }
    
}
?>